<%= render 'scrapbook/shared/header' %>
<%= hint_text 'placements.show_hint' %>
<div class="placement-image">
  <%= image_tag @placement.file.url(:standard) %>
  <br>
  <%# link_to "View Master", master_path(@placement.master) %>
</div>

<div class="placement-info">
    <%= link_to "Edit", edit_placement_path(@placement), class: 'button hollow right' %>
  <%= content_tag :h1, @placement.title %>

  <%= content_tag :dl do %>
    <div class="meta-pair">
      <% @placement.all_metadata.each_pair do |name, value| %>
        <%= content_tag :dt, name.titleize, class: 'meta-name' %>
        <%= content_tag :dd, raw(value), class: 'meta-value' %>
      <% end %>
    </div>
  <% end %>

  <% if placing? %>
    <%= link_to 'Use This', '#',
                onclick: "notifyParent({ placement: JSON.parse(this.dataset.placement) })",
                class: 'button green',
                data: { placement: @placement.to_data } %>
  <% end %>
</div>
